Skip to main content
GET
/
agents
/
shared
class 에 공유된 에이전트 목록 조회
curl --request GET \
  --url https://api.example.com/agents/shared \
  --header 'Authorization: Bearer <token>'
[
  {
    "agent_id": 123,
    "owner_id": 123,
    "name": "<string>",
    "system_prompt": "<string>",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "role_description": "<string>",
    "template_source": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

class_id
integer
required

공유 에이전트를 조회할 강의실 ID (partner.classes.id)

Required range: x >= 1
active_only
boolean
default:true

true 이면 활성 공유(is_active=true)만 조회

Response

Successful Response

agent_id
integer
required
owner_id
integer
required
name
string
required
system_prompt
string
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
role_description
string | null
template_source
string | null